Share

Follow Us

PWMinder BlackBerry Logo

PWMinder BlackBerry has the following System Requirements:

Devices: All devices running up to BlackBerry 10
Minimum OS: BlackBerry OS 4.2.1 (BlackBerry 10 is not supported)
PWMinder Desktop: Version 2.5 (or higher) to manager Repositories on your Desktop Computer
Storage: SD Card to store password Repositories
Desktop Computer Software: BlackBerry Desktop Software 6.1 or higher (recommended)
Device Software: BlackBerry App World